/***************************************************************
 * Name:      idwMain.h
 * Purpose:   Defines Application Frame
 * Author:    Wolfgang Gossel (wolfgang.gossel@geo.uni-halle.de)
 * Created:   2013-09-27
 * Copyright: Wolfgang Gossel (umweltgeologie.geologie.uni-halle.de)
 * License:   GPL
 **************************************************************/

#ifndef IDWMAIN_H
#define IDWMAIN_H

#include <vector>
#include <string>

//(*Headers(idwDialog)
#include <wx/sizer.h>
#include <wx/stattext.h>
#include <wx/textctrl.h>
#include <wx/filedlg.h>
#include <wx/bmpbuttn.h>
#include <wx/button.h>
#include <wx/dialog.h>
//*)

using namespace std;

class idwDialog: public wxDialog
{
    public:

        idwDialog(wxWindow* parent,wxWindowID id = -1);
        virtual ~idwDialog();

    private:

        vector<double> xinput;
        vector<double> yinput;
        vector<double> zinput;

        vector<double> xras;
        vector<double> yras;
        vector<double> zras;

        string pathSaveResultFile;
        string pathOpenPointFile;
        long numRasRows, numRasCols, numSmoothSteps;

        //(*Handlers(idwDialog)
        void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        void OnBitmapButton1Click(wxCommandEvent& event);
        void OncmdSaveResultClick(wxCommandEvent& event);
        void OncmdRunClick(wxCommandEvent& event);
        //*)

        //(*Identifiers(idwDialog)
        static const long ID_STATICTEXT1;
        static const long ID_TEXTCTRL1;
        static const long ID_BITMAPBUTTON1;
        static const long ID_STATICTEXT3;
        static const long ID_STATICTEXT2;
        static const long ID_STATICTEXT4;
        static const long ID_STATICTEXT5;
        static const long ID_TEXTCTRL2;
        static const long ID_STATICTEXT6;
        static const long ID_STATICTEXT7;
        static const long ID_STATICTEXT8;
        static const long ID_STATICTEXT9;
        static const long ID_TEXTCTRL3;
        static const long ID_TEXTCTRL4;
        static const long ID_TEXTCTRL5;
        static const long ID_STATICTEXT10;
        static const long ID_STATICTEXT11;
        static const long ID_STATICTEXT12;
        static const long ID_TEXTCTRL8;
        static const long ID_TEXTCTRL6;
        static const long ID_STATICTEXT14;
        static const long ID_STATICTEXT15;
        static const long ID_TEXTCTRL7;
        static const long ID_BITMAPBUTTON2;
        static const long ID_STATICTEXT16;
        static const long ID_BUTTON1;
        //*)

        //(*Declarations(idwDialog)
        wxBitmapButton* cmdSaveResult;
        wxStaticText* lblShifter31;
        wxStaticText* lblRasterWidth;
        wxStaticText* lblShifter61;
        wxStaticText* lblShifter32;
        wxFileDialog* fdOpenPointFile;
        wxStaticText* lblResFile;
        wxFileDialog* fdSaveResult;
        wxStaticText* StaticText1;
        wxTextCtrl* txtRasterWidth;
        wxTextCtrl* txtMaxYCoord;
        wxStaticText* lblMinYCoord;
        wxStaticText* lblMaxYCoord;
        wxTextCtrl* txtResFile;
        wxTextCtrl* txtMinYCoord;
        wxTextCtrl* txtInputFileName;
        wxTextCtrl* txtMinXCoord;
        wxStaticText* lblShifter91;
        wxTextCtrl* txtSmoothSteps;
        wxStaticText* lblMinXCoord;
        wxTextCtrl* txtMaxXCoord;
        wxBitmapButton* cmdOpenInput;
        wxStaticText* lblShifter72;
        wxStaticText* lblShifter1;
        wxButton* cmdRun;
        wxStaticText* lblShifter2;
        wxStaticText* lblMaxXCoord;
        wxStaticText* lblShifter62;
        //*)

        DECLARE_EVENT_TABLE()
};

#endif // IDWMAIN_H
